ranges::views::adjacent_filter_fn Struct Reference
Inheritance diagram for ranges::views::adjacent_filter_fn:

## Synopsis of methods

constexpr adjacent_filter_fn | adjacent_filter {}

## Public Member Functions

template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::adjacent_filter_base_fn
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> adjacent_filter_view< all_t< Rng >, Pred > requires detail::adjacent_filter_constraints< Rng, Pred >